curl --request GET \
--url https://api.gptmaker.ai/v2/agent/{agentId}/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gptmaker.ai/v2/agent/{agentId}/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gptmaker.ai/v2/agent/{agentId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prefferModel": "GPT_5_6_SOL",
"timezone": "<string>",
"enabledHumanTransfer": true,
"enabledReminder": true,
"splitMessages": true,
"enabledEmoji": true,
"limitSubjects": true,
"messageGroupingTime": "NO_GROUP",
"maxDailyMessages": 123,
"maxDailyMessagesLimitAction": "TEMP_BLOCK_30S",
"knowledgeByFunction": true,
"onLackKnowLedge": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Pegar configurações
Obtém as configurações de um agente existente
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID do agente
Response
Configurações do agente
Modelo de LLM preferido
GPT_5_6_SOL, GPT_5_6_TERRA, GPT_5_6_LUNA, GPT_5_5, GPT_5_4, GPT_5_4_MINI, GPT_5_2, GPT_5_1, GPT_5, GPT_5_MINI, GPT_4_1, GPT_4_1_MINI, OPEN_AI_O4_MINI, OPEN_AI_O3, OPEN_AI_O3_MINI, OPEN_AI_O1, GPT_4_O, GPT_4_O_MINI, GPT_4, CLAUDE_5_SONNET, CLAUDE_4_6_SONNET, CLAUDE_4_5_SONNET, CLAUDE_4_5_HAIKU, CLAUDE_3_7_SONNET, CLAUDE_3_5_SONNET, CLAUDE_3_5_HAIKU, DEEPINFRA_LLAMA3_3, QWEN_2_5_MAX, DEEPSEEK_V4_PRO, DEEPSEEK_V4_FLASH, DEEPSEEK_CHAT, SABIA_3_1, SABIA_3 Timezone do agente
Define se o agente pode transferir para humano
Define se pode agendar lembretes
Define se a mensagem será dividida em várias, caso seja muito grande
Define se pode usar emojis nas respostas
Define se pode falar de outros assuntos ou apenas relacionado à empresa ou produto
Modelo de LLM preferido
NO_GROUP, FIVE_SEC, TEN_SEC, THIRD_SEC, ONE_MINUTE Define o que acontece ao atingir o limite de interações por atendimento, se for nulo não usa maxDailyMessagesLimitAction
Define o que acontece ao atingir o limite de interações por atendimento, vai ser usado apenas quando o maxDailyMessages não for nulo.
TEMP_BLOCK_30S, TEMP_BLOCK_5M, TEMP_BLOCK_10M, TEMP_BLOCK_30M, TEMP_BLOCK_1H, BLOCK, TRANSFER É reponsável por ativar a busca inteligênte do treinamento aonde o agente consulta a base de treinamentos no momento certo, para trazer respostas mais precisas
Na falta de conhecimento o agente lança um weebhook

